package com.jay.monitor.data.server.store;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.SpringRunCase;
import com.jay.monitor.data.server.models.entity.es.JayMonitorMQIndex;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

public class StoreDataManagerTest extends SpringRunCase {
    @Autowired
    private StoreDataManager storeDataManager;

    public void testStore() {
    }

    public void testSelectContentById() {
    }

    @Test
    public void testSearchDataByList() throws Exception {
        JayMonitorMQIndex musicModel = new JayMonitorMQIndex();
        musicModel.setDataId("2766");
        List<Object> storeObjectList = storeDataManager.searchDataByList(MsgTypeEnums.MQ, "210317", 10, musicModel);
        System.out.println(storeObjectList);
    }
}